import { vi, describe, expect, it, beforeAll, afterEach } from 'vitest';
import { createWrapper, axios } from 'app/test/vitest/helper';
import VnSms from 'src/components/ui/VnSms.vue';

describe('VnSms', () => {
    let vm;

    beforeAll(() => {
        vm = createWrapper(VnSms, {
            global: {
                stubs: ['VnPaginate'],
                mocks: {},
            },
        }).vm;
    });

    afterEach(() => {
        vi.clearAllMocks();
    });

    it('should format number correctly', () => {
        const formattedNumber = vm.formatNumber('123456789012');
        expect(formattedNumber).toBe('1234 56789012');
    });
});
